curl --request GET \
--url https://sandbox.hyperswitch.io/payments/{payment_id}/client \
--header 'api-key: <api-key>'import requests
url = "https://sandbox.hyperswitch.io/payments/{payment_id}/client"
headers = {"api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'api-key': '<api-key>'}};
fetch('https://sandbox.hyperswitch.io/payments/{payment_id}/client', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"payment_methods_enabled": [
{
"card_networks": [
"Visa"
],
"payment_method": "card",
"payment_method_type": "ach",
"customer_acceptance_support": "supported",
"payment_experience": [
"redirect_to_url"
],
"collect_shipping_details_from_wallets": true,
"collect_billing_details_from_wallets": true
}
],
"customer_payment_methods": [
{
"payment_token": "7ebf443f-a050-4067-84e5-e6f6d4800aef",
"payment_method": "card",
"default_payment_method_set": true,
"requires_cvv": true,
"payment_method_type": "ach",
"created": "2023-01-18T11:04:09.922Z",
"last_used_at": "2024-02-24T11:04:09.922Z",
"recurring_enabled": true,
"payment_method_data": {
"card": {
"saved_to_locker": true,
"scheme": "<string>",
"issuer_country": "<string>",
"issuer_country_code": "<string>",
"last4_digits": "<string>",
"expiry_month": "<string>",
"expiry_year": "<string>",
"card_token": "<string>",
"card_holder_name": "<string>",
"card_fingerprint": "<string>",
"nick_name": "<string>",
"card_network": "Visa",
"card_isin": "<string>",
"card_issuer": "<string>",
"card_type": "<string>",
"card_subtype": "<string>",
"card_segment_type": "business",
"funding_source": "CREDIT"
}
}
}
],
"sdk_next_action": {
"next_action": "post_session_tokens",
"should_block_confirm": true
},
"intent_data": {
"payment_id": "<string>",
"status": "succeeded",
"amount": 123,
"attempt_count": 123,
"currency": "AED",
"client_secret": "<string>",
"description": "<string>",
"customer_id": "<string>",
"return_url": "<string>",
"setup_future_usage": "off_session",
"billing": {
"address": {
"city": "New York",
"country": "AF",
"line1": "123, King Street",
"line2": "Powelson Avenue",
"line3": "Bridgewater",
"zip": "08807",
"state": "New York",
"first_name": "John",
"last_name": "Doe",
"origin_zip": "08807"
},
"phone": {
"number": "9123456789",
"country_code": "+1"
},
"email": "<string>"
},
"shipping": {
"address": {
"city": "New York",
"country": "AF",
"line1": "123, King Street",
"line2": "Powelson Avenue",
"line3": "Bridgewater",
"zip": "08807",
"state": "New York",
"first_name": "John",
"last_name": "Doe",
"origin_zip": "08807"
},
"phone": {
"number": "9123456789",
"country_code": "+1"
},
"email": "<string>"
},
"email": "<string>",
"metadata": {},
"order_details": [
{}
],
"created": "2023-11-07T05:31:56Z",
"expires_on": "2023-11-07T05:31:56Z",
"profile_id": "<string>",
"merchant_order_reference_id": "<string>",
"installment_options": [
{
"payment_method": "card",
"available_plans": [
{
"number_of_installments": 1,
"billing_frequency": "month",
"interest_rate": 123,
"amount_details": {
"amount_per_installment": 123,
"total_amount": 123
}
}
]
}
],
"capture_method": "automatic",
"merchant_name": "<string>",
"mandate_payment": {
"update_mandate_id": "<string>",
"customer_acceptance": {
"acceptance_type": "online",
"accepted_at": "2022-09-10T10:11:12Z",
"online": {
"ip_address": "123.32.25.123",
"user_agent": "<string>"
}
},
"mandate_type": {
"single_use": {
"amount": 6540,
"currency": "AED",
"start_date": "2022-09-10T00:00:00Z",
"end_date": "2023-09-10T23:59:59Z",
"metadata": {}
}
}
},
"payment_type": "normal",
"request_external_three_ds_authentication": true,
"is_tax_calculation_enabled": true,
"is_guest_customer": true
}
}List payment methods for a Payment
Client SDK endpoint. Returns a unified response combining merchant-enabled payment methods and customer saved payment methods, filtered via Euclid constraint graph and session flow routing.
Supported auth:
- SDK auth via
Authorization. - Publishable-key auth via
api-key: pk_...andclient_secretquery param. - Merchant API-key auth via
api-key: <api_key>.
Authorizations
Publishable keys are a type of keys that can be public and have limited scope of usage.
Path Parameters
The identifier for the payment
Query Parameters
This is a token which expires after 15 minutes, used from the client to authenticate and create sessions from the SDK
The two-letter ISO currency code
AF, AX, AL, DZ, AS, AD, AO, AI, AQ, AG, AR, AM, AW, AU, AT, AZ, BS, BH, BD, BB, BY, BE, BZ, BJ, BM, BT, BO, BQ, BA, BW, BV, BR, IO, BN, BG, BF, BI, KH, CM, CA, CV, KY, CF, TD, CL, CN, CX, CC, CO, KM, CG, CD, CK, CR, CI, HR, CU, CW, CY, CZ, DK, DJ, DM, DO, EC, EG, SV, GQ, ER, EE, ET, FK, FO, FJ, FI, FR, GF, PF, TF, GA, GM, GE, DE, GH, GI, GR, GL, GD, GP, GU, GT, GG, GN, GW, GY, HT, HM, VA, HN, HK, HU, IS, IN, ID, IR, IQ, IE, IM, IL, IT, JM, JP, JE, JO, KZ, KE, KI, KP, KR, KW, KG, LA, LV, LB, LS, LR, LY, LI, LT, LU, MO, MK, MG, MW, MY, MV, ML, MT, MH, MQ, MR, MU, YT, MX, FM, MD, MC, MN, ME, MS, MA, MZ, MM, NA, NR, NP, NL, NC, NZ, NI, NE, NG, NU, NF, MP, NO, OM, PK, PW, PS, PA, PG, PY, PE, PH, PN, PL, PT, PR, QA, RE, RO, RU, RW, BL, SH, KN, LC, MF, PM, VC, WS, SM, ST, SA, SN, RS, SC, SL, SG, SX, SK, SI, SB, SO, ZA, GS, SS, ES, LK, SD, SR, SJ, SZ, SE, CH, SY, TW, TJ, TZ, TH, TL, TG, TK, TO, TT, TN, TR, TM, TC, TV, UG, UA, AE, GB, UM, UY, UZ, VU, VE, VN, VG, VI, WF, EH, YE, ZM, ZW, US The three-letter ISO currency code
The three-letter ISO 4217 currency code (e.g., "USD", "EUR") for the payment amount. This field is mandatory for creating a payment.
AED, AFN, ALL, AMD, ANG, AOA, ARS, AUD, AWG, AZN, BAM, BBD, BDT, BGN, BHD, BIF, BMD, BND, BOB, BRL, BSD, BTN, BWP, BYN, BZD, CAD, CDF, CHF, CLF, CLP, CNY, COP, CRC, CUC, CUP, CVE, CZK, DJF, DKK, DOP, DZD, EGP, ERN, ETB, EUR, FJD, FKP, GBP, GEL, GHS, GIP, GMD, GNF, GTQ, GYD, HKD, HNL, HRK, HTG, HUF, IDR, ILS, INR, IQD, IRR, ISK, JMD, JOD, JPY, KES, KGS, KHR, KMF, KPW, KRW, KWD, KYD, KZT, LAK, LBP, LKR, LRD, LSL, LYD, MAD, MDL, MGA, MKD, MMK, MNT, MOP, MRU, MUR, MVR, MWK, MXN, MYR, MZN, NAD, NGN, NIO, NOK, NPR, NZD, OMR, PAB, PEN, PGK, PHP, PKR, PLN, PYG, QAR, RON, RSD, RUB, RWF, SAR, SBD, SCR, SDG, SEK, SGD, SHP, SLE, SLL, SOS, SRD, SSP, STD, STN, SVC, SYP, SZL, THB, TJS, TMT, TND, TOP, TRY, TTD, TWD, TZS, UAH, UGX, USD, UYU, UZS, VES, VND, VUV, WST, XAF, XCD, XOF, XPF, YER, ZAR, ZMW, ZWL The amount accepted for processing by the particular payment method.
Indicates whether the payment method is eligible for recurring payments
Indicates whether the payment method is eligible for installment payments
Indicates the limit of last used payment methods
Indicates whether the payment method is eligible for card netwotks
Indicates the card network.
Visa, Mastercard, AmericanExpress, JCB, DinersClub, Discover, CartesBancaires, UnionPay, Interac, RuPay, Maestro, Star, Pulse, Accel, Nyce, Prop, PrivateLabel, Dinacard Response
Payment Methods retrieved
Response for the GET /payments/{payment_id}/payment-methods/client endpoint
Flat list of enabled payment methods — one entry per (payment_method_type × payment_method_subtype)
A single flat entry in the client payment method list — one per (payment_method_type × payment_method_subtype)
- Option 1
- Option 2
Show child attributes
Show child attributes
The customer's saved payment methods
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Intent-only payment details returned as part of the Payment Method List response
Show child attributes
Show child attributes
Was this page helpful?